﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CommonStorage.Model
{
    /// <summary>
    /// 设备
    /// </summary>
    [Table("devices")]
    public class Device
    {
        /// <summary>
        /// ID
        /// </summary>
        [Key]
        public long ID { get; set; }
        /// <summary>
        /// 工位
        /// </summary>
        public string WorkStation { get; set; }
        /// <summary>
        /// 仪器类型
        /// </summary>
        public string DeviceType { get; set; }
        /// <summary>
        /// 仪器型号
        /// </summary>
        public string DeviceModel { get; set; }
        /// <summary>
        /// 硬件ID
        /// </summary>
        public string HardwareID { get; set; }
        /// <summary>
        /// 控制句柄
        /// </summary>
        public string DeviceHandle { get; set; }
        /// <summary>
        /// 设备编号，一般信息管理上的编号
        /// </summary>
        public string DeviceNum { get; set; }
        /// <summary>
        /// 在线状态
        /// </summary>
        public bool OnlineState { get; set; }
        public string Remark { get; set; }
    }
}
