﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;

namespace CommonStorage.Model
{
    [Table("logs")]
    public class Log
    {
        /**[JsonConverter(typeof(LongToStringConverter))]*/
        /// <summary>
        /// ID
        /// </summary>
        [Key]
        public long ID { get; set; }
        public string Workstation { get; set; }
        /// <summary>
        /// Message
        /// </summary>
        public string Message { get; set; }
        /// <summary>
        /// Level
        /// </summary>
        public LevelEnum MsgLevel { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string MsgType { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get; set; }
    }

    public enum LevelEnum : int
    {
        /// <summary>
        /// 警告
        /// </summary>
        [Display(Name = "警告")]
        Warn = 0,
        /// <summary>
        /// 正常
        /// </summary>
        [Display(Name = "正常")]
        Normal = 1,
        /// <summary>
        /// 错误
        /// </summary>
        [Display(Name = "错误")]
        Error = 2,
        /// <summary>
        /// 调试
        /// </summary>
        [Display(Name = "调试")]
        Debug = 3,
    }
}
