﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CommonStorage.Model
{
    /// <summary>
    /// 测试数据
    /// </summary>
    /// 
    [Table("test_datas")]
    public class TestData : TestDataBase
    {
        /// <summary>
        /// 检测数据的json格式，是List<list<ValueItem>>序列化的字符串
        /// </summary>
        public string Values { get; set; }
    }

    public class TestDataBase
    {
        /// <summary>
        /// ID
        /// </summary>
        [Key]
        public long ID { get; set; }
        /// <summary>
        /// 批次号
        /// </summary>
        public string BarCode { get; set; }

        /// <summary>
        /// 产品代号
        /// </summary>
        public string ProductCode { get; set; }
        /// <summary>
        /// 产品名称
        /// </summary>
        public string ProductName { get; set; }
        /// <summary>
        /// 产品工号
        /// </summary>
        public string ProductNum { get; set; }

        /// <summary>
        /// 产品编号
        /// </summary>
        public string Serial { get; set; }
        /// <summary>
        /// 测试人员
        /// </summary>
        public string Tester { get; set; }

        /// <summary>
        /// 测试时间
        /// </summary>
        public DateTime TestTime { get; set; }
        /// <summary>
        /// 测试项目，比如温循、老练等
        /// </summary>
        public string TestProject { get; set; }
        /// <summary>
        /// 指标项目，或者称为数据项的名称
        /// </summary>
        public string DataName { get; set; }
        /// <summary>
        /// 测试结论
        /// </summary>
        public bool IsPass { get; set; }
    }
}
