﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CommonStorage.Model
{
    [Table("users")]
    public class User
    {
        /// <summary>
        /// ID
        /// </summary>
        [Key] 
        public long ID { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        public string UserName { get; set; }
        /// <summary>
        /// 用户密码
        /// </summary>
        public string PassWord { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        public string Phone { get; set; }
        /// <summary>
        /// 最后登录时间
        /// </summary>
        public System.DateTime LastLoginTime { get; set; }
        /// <summary>
        /// 登录次数
        /// </summary>
        public int LoginCount { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public System.DateTime CreateTime { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        public Nullable<System.DateTime> UpdateTime { get; set; }
        /// <summary>
        /// 用户类型
        /// </summary>
        public UserTypeEnum UserType { get; set; }
        /// <summary>
        /// 是否有效
        /// </summary>
        public bool Enable { get; set; }
    }

    /// <summary>
    /// 用户类型
    /// </summary>
    public enum UserTypeEnum : int
    {
        /// <summary>
        /// 管理员
        /// </summary>
        [Display(Name = "管理员")]
        Administrators = 1,
        /// <summary>
        /// 开发人员
        /// </summary>
        [Display(Name = "开发人员")]
        DeveloperUser = 2,

        /// <summary>
        /// 使用人员
        /// </summary>
        [Display(Name = "使用人员")]
        UseUser = 2,
    }
}
